Loading...
Searching...
No Matches
Http_last_modified

## Macros

#define | HTTP_LAST_MODIFIED_INIT()
| Initializer for structure http_last_modified_t.
#define | HTTPTAG_LAST_MODIFIED(x)
| Tag list item for pointer to a Last-Modified header object.
#define | HTTPTAG_LAST_MODIFIED_STR(s)
| Tag list item for string with Last-Modified header value.

## Typedefs

typedef http_date_t | http_last_modified_t
| @HTTP_HEADER http_last_modified Last-Modified header.

## Enumerations

enum | { http_last_modified_hash }

## Functions

http_last_modified_t * | http_last_modified_init (http_last_modified_t x[1])
| Initialize a structure http_last_modified_t.
int | http_is_last_modified (http_header_t const *header)
| Test if header object is instance of http_last_modified_t.
http_last_modified_t * | http_last_modified_dup (su_home_t *home, http_last_modified_t const *hdr))
| Duplicate (deep copy) `http_last_modified_t`.
http_last_modified_t * | http_last_modified_copy (su_home_t *home, http_last_modified_t const *hdr))
| Copy a http_last_modified_t header structure.
http_last_modified_t * | http_last_modified_make (su_home_t *home, char const *s))
| Make a header structure http_last_modified_t.
http_last_modified_t * | http_last_modified_format (su_home_t *home, char const *fmt,...)))
| Make a Last-Modified header from formatting result.

## Variables

msg_hclass_t | http_last_modified_class []
| Header class for HTTP Last-Modified header.
msg_parse_f | http_last_modified_d
| Decode (parse) a Last-Modified header.
msg_print_f | http_last_modified_e
| Encode (print) a Last-Modified header.

## Detailed Description

## Macro Definition Documentation

## HTTP_LAST_MODIFIED_INIT

#define HTTP_LAST_MODIFIED_INIT | ( |  | ) |

Initializer for structure http_last_modified_t.

A static http_last_modified_t structure must be initialized with the HTTP_LAST_MODIFIED_INIT() macro. For instance,

http_last_modified_t http_last_modified = HTTP_LAST_MODIFIED_INIT;
HTTP_LAST_MODIFIED_INIT
#define HTTP_LAST_MODIFIED_INIT()
Initializer for structure http_last_modified_t.
Definition http_protos.h:6092
http_last_modified_t
http_date_t http_last_modified_t
@HTTP_HEADER http_last_modified Last-Modified header.
Definition http.h:134

## HTTPTAG_LAST_MODIFIED

#define HTTPTAG_LAST_MODIFIED | ( |  | x | ) |

Tag list item for pointer to a Last-Modified header object.

The HTTPTAG_LAST_MODIFIED() macro is used to include a tag item with a pointer to a http_last_modified_t object in a tag list.

Parameters

  x | pointer to a http_last_modified_t header structure, or NULL.

## HTTPTAG_LAST_MODIFIED_STR

#define HTTPTAG_LAST_MODIFIED_STR | ( |  | s | ) |

Tag list item for string with Last-Modified header value.

The HTTPTAG_LAST_MODIFIED_STR() macro is used to include a tag item with a string containing value of a http_last_modified_t header in a tag list.

Parameters

  s | pointer to a string containing http_last_modified_t value, or NULL.

The HTTPTAG_LAST_MODIFIED_STR string can be converted to a http_last_modified_t header structure by giving the string s has second argument to function http_last_modified_make().

## Typedef Documentation

## http_last_modified_t

typedef http_date_t http_last_modified_t

@HTTP_HEADER http_last_modified Last-Modified header.

The Last-Modified header field gives the date and time after which the message content last_modified. Its syntax is defined in [] as follows:

Last-Modified = "Last-Modified:" HTTP-date

The structure http_last_modified_t contains representation of Last-Modified header.

The http_last_modified_t is defined as follows:

typedef struct {
msg_common_t d_common[1]; // Common fragment info
msg_error_t *d_next; // Link to next (dummy)
http_time_t d_time; // Seconds since Jan 1, 1900
} http_last_modified_t;
msg_error_t
struct msg_error_s msg_error_t
http_time_t
unsigned long http_time_t
Time in seconds since 01-Jan-1900.
Definition http.h:169
msg_common_t
struct msg_common_s msg_common_t

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_last_modified_hash | Hash of Last-Modified header.

## Function Documentation

## http_is_last_modified()

int http_is_last_modified | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_last_modified_t.

The function http_is_last_modified() returns true (nonzero) if the header class is an instance of Last-Modified header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xlast_modified() returns true (nonzero) if the header object is an instance of header last_modified and false (zero) otherwise.

## http_last_modified_copy()

http_last_modified_t * http_last_modified_copy | ( | su_home_t * | home,
|  | http_last_modified_t const * | hdr )

inline

Copy a http_last_modified_t header structure.

The function http_last_modified_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  last_modified = http_last_modified_copy(home, http->http_last_modified);
  http_last_modified_copy
  http_last_modified_t * http_last_modified_copy(su_home_t *home, http_last_modified_t const *hdr))
  Copy a http_last_modified_t header structure.
  Definition http_protos.h:6286

Returns
  The function http_last_modified_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_last_modified_dup()

http_last_modified_t * http_last_modified_dup | ( | su_home_t * | home,
|  | http_last_modified_t const * | hdr )

inline

Duplicate (deep copy) `http_last_modified_t`.

The function http_last_modified_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  last_modified = http_last_modified_dup(home, http->http_last_modified);
  http_last_modified_dup
  http_last_modified_t * http_last_modified_dup(su_home_t *home, http_last_modified_t const *hdr))
  Duplicate (deep copy) http_last_modified_t.
  Definition http_protos.h:6279

Returns
  The function http_last_modified_dup() returns a pointer to the newly duplicated http_last_modified_t header structure, or NULL upon an error.

## http_last_modified_format()

http_last_modified_t * http_last_modified_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Last-Modified header from formatting result.

The function http_last_modified_format() makes a new Last-Modified header object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_last_modified_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_last_modified_init()

http_last_modified_t * http_last_modified_init | ( | http_last_modified_t | x[1] | ) |

inline

Initialize a structure http_last_modified_t.

An http_last_modified_t structure can be initialized with the http_last_modified_init() function/macro. For instance,

http_last_modified_t http_last_modified;
http_last_modified_init(&http_last_modified);
http_last_modified_init
http_last_modified_t * http_last_modified_init(http_last_modified_t x[1])
Initialize a structure http_last_modified_t.
Definition http_protos.h:6108

## http_last_modified_make()

http_last_modified_t * http_last_modified_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_last_modified_t.

The function http_last_modified_make() makes a new http_last_modified_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_last_modified_make() returns a pointer to newly maked http_last_modified_t header structure, or NULL upon an error.

## Variable Documentation

## http_last_modified_class

msg_hclass_t http_last_modified_class[]

extern

Header class for HTTP Last-Modified header.

The header class http_last_modified_class defines how a HTTP Last-Modified header is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_last_modified_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.